org.apache.ignite.ml.trainers

## Interface FeatureLabelExtractor<K,V,L>

- Type Parameters:
    `K` - Type of keys.
    `V` - Type of values.
    `L` - Type of labels.
  All Superinterfaces:
    BiFunction<K,V,LabeledVector>, IgniteBiFunction<K,V,LabeledVector>, Preprocessor<K,V>, Serializable
  All Known Implementing Classes:
    BinaryObjectVectorizer, DoubleArrayVectorizer, DummyVectorizer, ExtractionUtils.ArrayLikeObjectLabelVectorizer, ExtractionUtils.ArrayLikeVectorizer, ExtractionUtils.DefaultLabelVectorizer, ExtractionUtils.IntCoordObjectLabelVectorizer, ExtractionUtils.IntCoordVectorizer, ExtractionUtils.ObjectLabelVectorizer, ExtractionUtils.StringCoordVectorizer, LabeledDummyVectorizer, ObjectArrayVectorizer, Vectorizer, Vectorizer.VectorizerAdapter

      public interface FeatureLabelExtractor<K,V,L>
      extends Preprocessor<K,V>

  Class fro extracting features and vectors from upstream.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `LabeledVector<L>` | `extract(K k, V v)` Extract `LabeledVector` from key and value.
    `default Vector` | `extractFeatures(K key, V val)` Extract features from key and value.
    `default L` | `extractLabel(K key, V val)` Extract label from key and value.

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen, apply`

- - ### Method Detail

    - #### extract

          LabeledVector<L> extract(K k,
                                   V v)

      Extract `LabeledVector` from key and value.
      Parameters:
        `k` - Key.
        `v` - Value.
      Returns:
        Labeled vector.

    - #### extractFeatures

          default Vector extractFeatures(K key,
                                         V val)

      Extract features from key and value.
      Parameters:
        `key` - Key.
        `val` - Value.
      Returns:
        Features vector.

    - #### extractLabel

          default L extractLabel(K key,
                                 V val)

      Extract label from key and value.
      Parameters:
        `key` - Key.
        `val` - Value.
      Returns:
        Label.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022